Loading...
Searching...
No Matches
lomiri.indicators.TestIndicatorPage Class Reference
Inheritance diagram for lomiri.indicators.TestIndicatorPage:
[legend]
Collaboration diagram for lomiri.indicators.TestIndicatorPage:
[legend]

## Public Member Functions

| validate_dbus_object (cls, path, state)
| get_switcher (self)
| get_switch_menu (self)
| get_slider (self)
| get_slider_menu (self)

## Detailed Description

    Autopilot helper for the mock indicator page.

Definition at line 141 of file __init__.py.

## Member Function Documentation

## get_slider()

lomiri.indicators.TestIndicatorPage.get_slider | ( |  | self | ) |

Definition at line 161 of file __init__.py.

def get_slider(self):
return self.select_single(objectName='slider')

## get_slider_menu()

lomiri.indicators.TestIndicatorPage.get_slider_menu | ( |  | self | ) |

Definition at line 164 of file __init__.py.

def get_slider_menu(self):
return self.select_single(objectName='indicator.action.slider')

## get_switch_menu()

lomiri.indicators.TestIndicatorPage.get_switch_menu | ( |  | self | ) |

Definition at line 157 of file __init__.py.

def get_switch_menu(self):
return self.select_single(
'SwitchMenu', objectName='indicator.action.switch')

## get_switcher()

lomiri.indicators.TestIndicatorPage.get_switcher | ( |  | self | ) |

Definition at line 153 of file __init__.py.

def get_switcher(self):
return self.select_single(
lomiriuitoolkit.CheckBox, objectName='switcher')

## validate_dbus_object()

lomiri.indicators.TestIndicatorPage.validate_dbus_object | ( |  | cls,
|  |  | path,
|  |  | state )

Reimplemented from lomiri.indicators.IndicatorPage.

Definition at line 146 of file __init__.py.

def validate_dbus_object(cls, path, state):
name = introspection.get_classname_from_path(path)
if name == b'IndicatorPage':
if state['objectName'][1] == 'indicator-mock-page':
return True
return False

The documentation for this class was generated from the following file:

- tests/autopilot/lomiri/indicators/__init__.py